Respond Invite with photo
Respond with photo to an invite or invite request without accepting it. :notificationId is the ID of the requesting notification.
In case the notification being replied to is an invite, the responseSlot refers to a response message from the the message collection.
In case the notification is an invite request, it will refer to one from the requestResponse collection instead.'
Authorization
authCookie Auth Token via Cookie
In: cookie
Path Parameters
Must be a valid notification ID.
Request Body
multipart/form-data
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/invite/string/response/photo" \ -F data="{\n \"responseSlot\": 11\n}" \ -F image="string"{
"id": "frq_00000000-0000-0000-0000-000000000000",
"type": "friendRequest",
"created_at": "2021-01-01T00:00:00.000Z",
"details": "{}",
"message": "",
"seen": false,
"senderUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}{
"error": {
"message": "\"You've already responded to that request.\"",
"status_code": 400
}
}Reset Invite Message DELETE
Resets a single Invite Message back to its original message, and then returns a list of all of them. Admin Credentials are required to update messages of other users! Resetting a message respects the rate-limit, so it is not possible to reset within the 60 minutes countdown. Resetting it does however not set the rate-limit to 60 like when editing it. It is possible to edit it right after resetting it. Trying to edit a message before the cooldown timer expires results in a 429 "Too Fast Error". Message type refers to a different collection of messages, used during different types of responses. * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite The DELETE endpoint does not have/require any request body.
Respond Invite POST
Respond to an invite or invite request without accepting it. `:notificationId` is the ID of the requesting notification. In case the notification being replied to is an invite, the `responseSlot` refers to a response message from the the `message` collection. In case the notification is an invite request, it will refer to one from the `requestResponse` collection instead.